services:
    cloudflare_ddns_root:
        container_name: cloudflare_ddns_root
        environment:
            - API_KEY=t48J4O_n5uNYHGXfCHZ1SRbCLwNTZAR6n1sZHj6d
            - ZONE=alexlebens.net
            - PROXIED=false
        image: oznu/cloudflare-ddns:latest
        logging:
            driver: json-file
            options:
                max-size: 50m
                max-file: "3"
        networks:
            traefik: null
        restart: unless-stopped

    cloudflare_ddns_wildcard:
        container_name: cloudflare_ddns_wildcard
        environment:
            - API_KEY=VfWsmY_1_hYyT-w4TNwR-3yKp4UvkoY_BQ8KUxJf
            - ZONE=alexlebens.net
            - SUBDOMAIN=*
            - PROXIED=false
        image: oznu/cloudflare-ddns:latest
        logging:
            driver: json-file
            options:
                max-size: 50m
                max-file: "3"
        networks:
            traefik: null
        restart: unless-stopped

    cloudflare_ddns_synology:
        container_name: cloudflare_ddns_synology
        environment:
            - API_KEY=t48J4O_n5uNYHGXfCHZ1SRbCLwNTZAR6n1sZHj6d
            - ZONE=alexlebens.net
            - SUBDOMAIN=synology
            - PROXIED=false
        image: oznu/cloudflare-ddns:latest
        logging:
            driver: json-file
            options:
                max-size: 50m
                max-file: "3"
        networks:
            traefik: null
        restart: unless-stopped

networks:
    traefik:
        name: traefik
        external: true
